curl --request GET \
--url https://api.kajabi.com/v1/custom_fields/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"title": "<string>",
"handle": "<string>",
"type": "<string>",
"required": true
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}handle (string) - The key for a contact resource, e.g. custom_1, custom_2, custom_3title (string) - The title of the custom fieldtype (string) - The type of the custom fieldrequired (boolean) - Whether the custom field is requiredarchived (boolean) - Whether the custom field is archivedUse the fields[custom_fields] parameter to include only specific attributes:
GET /v1/custom_fields/123?fields[custom_fields]=handle,titleResponse will include only the specified fields
{
"data": {
"id": "123",
"type": "custom_fields",
"attributes": {
"handle": "custom_1",
"title": "Favorite Song"
}
}
}
curl --request GET \
--url https://api.kajabi.com/v1/custom_fields/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"title": "<string>",
"handle": "<string>",
"type": "<string>",
"required": true
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Partial attributes as specified, e.g. fields[custom_fields]=title,handle
Was this page helpful?